RBD-FUSE(8)

NAME
rbd-fuse - expose rbd images as files

SYNOPSIS
rbd-fuse [ -p pool ] [-c conffile] mountpoint [ fuse options ]

DESCRIPTION

rbd-fuse is a FUSE (File system in USErspace) client for RADOS block device (rbd) images. Given a pool containing rbd images, it will mount a userspace filesystem allowing access to those images as regular files at mountpoint.

The file system can be unmounted with:

fusermount -u mountpoint

or by sending SIGINT to the rbd-fuse process.

OPTIONS

Any options not recognized by rbd-fuse will be passed on to libfuse.

-c ceph.conf
    Use ceph.conf configuration file instead of the default /etc/ceph/ceph.conf to determine monitor addresses during startup.

-p pool
    Use pool as the pool to search for rbd images. Default is rbd.

AVAILABILITY

rbd-fuse is part of the Ceph distributed storage system. Please refer to the Ceph documentation at http://ceph.com/docs for more information.

SEE ALSO

fusermount(8), rbd(8)

COPYRIGHT
2010-2014, Inktank Storage, Inc. and contributors. Licensed under Creative Commons BY-SA